# Collection of helper libraries for Go #

## Introduction ##

This repository stores a collection of mostly unrelated helper libraries.
Functionality that the author (Joe Tsai) found common among his various projects
are pulled out and placed here.


## Packages ##

Each top-level package is a sub-module so that the individual packages
can be versioned separately from each other.

| Package | Description |
| :------ | :---------- |
| [bufpipe](https://pkg.go.dev/github.com/dsnet/golib/bufpipe) | Package bufpipe implements a buffered pipe. |
| [cron](https://pkg.go.dev/github.com/dsnet/golib/cron) | Package cron parses and runs cron schedules. |
| [hashmerge](https://pkg.go.dev/github.com/dsnet/golib/hashmerge) | Package hashmerge merges hash checksums. |
| [jsoncs](https://pkg.go.dev/github.com/dsnet/golib/jsoncs) | Package jsoncs implements JSON Canonicalization Scheme (JCS) as specified in RFC 8785. |
| [jsonfmt](https://pkg.go.dev/github.com/dsnet/golib/jsonfmt) | Package jsonfmt implements a JSON formatter. |
| [memfile](https://pkg.go.dev/github.com/dsnet/golib/memfile) | Package memfile implements an in-memory emulation of os.File. |
| [unitconv](https://pkg.go.dev/github.com/dsnet/golib/unitconv) | Package unitconv implements string conversion functionality for unit prefixes. |
